受注伝票オプション検索
curl -X POST -H 'content-type: application/x-www-form-urlencoded' \ -d 'access_token=xxx&refresh_token=xxx8&wait_flag=1&fields=xxx&receive_order_option_receive_order_id-eq=xxx&offset=0&limit=10' \ https://api.next-engine.org/api_v1_receiveorder_option/search// POST /api_v1_receiveorder_option/search - 受注伝票オプション検索const params = new URLSearchParams({ access_token: '<access_token>', fields: 'field1,field2', offset: '0', limit: '50',})const res = await fetch('https://api.next-engine.org/api_v1_receiveorder_option/search', { method: 'POST', headers: { 'content-type': 'application/x-www-form-urlencoded' }, body: params,})const json = await res.json()if (json.result !== 'success') throw new Error(json.message ?? json.code)console.log(json.data)# POST /api_v1_receiveorder_option/search - 受注伝票オプション検索import requests
params = { 'access_token': '<access_token>', 'fields': 'field1,field2', 'offset': '0', 'limit': '50',}res = requests.post( 'https://api.next-engine.org/api_v1_receiveorder_option/search', data=params,)json = res.json()if json['result'] != 'success': raise RuntimeError(json.get('message') or json.get('code'))print(json.get('data'))Request Body required
Section titled “Request Body required ”object
OAuth2 アクセストークン (必須)
OAuth2 リフレッシュトークン (access_token 期限切れ時の自動更新に使用)
同期実行フラグ。“1” 指定で処理完了を待つ
取得するフィールドをカンマ区切りで指定 (search 系のみ)
検索開始位置 (search 系のみ)
取得件数 (search 系のみ)
Responses
Section titled “ Responses ”実行結果 (result が success / error / redirect のいずれか)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
object
伝票番号 / 数値型 / ネクストエンジン内で一意に付与される番号
一言メモ / 文字列型
メッセージ / 文字列型
のし / 文字列型
ラッピング / 文字列型
オプション1 / 文字列型
オプション2 / 文字列型
オプション3 / 文字列型
オプション4 / 文字列型
オプション5 / 文字列型
オプション6 / 文字列型
オプション7 / 文字列型
オプション8 / 文字列型
オプション9 / 文字列型
オプション10 / 文字列型
受注時店舗原資クーポン / 数値型 / 楽天とYahoo!に対応しています。
受注時モール原資クーポン / 数値型 / 楽天とYahoo!に対応しています。
作成日 / 日時型
最終更新日 / 日時型
最終更新日 / 日時型 / NULLの場合作成日
作成担当者ID / 数値型
作成担当者名 / 文字列型
最終更新者ID / 数値型
最終更新者ID / 数値型 / NULLの場合作成者ID
最終更新者名 / 文字列型
最終更新者名 / 文字列型 / NULLの場合作成者名
Example
{ "result": "success", "count": "1", "data": [ { "receive_order_option_receive_order_id": "1", "receive_order_option_single_word_memo": "", "receive_order_option_message": "", "receive_order_option_noshi": "", "receive_order_option_rapping": "", "receive_order_option_1": "", "receive_order_option_2": "", "receive_order_option_3": "", "receive_order_option_4": "", "receive_order_option_5": "", "receive_order_option_6": "", "receive_order_option_7": "", "receive_order_option_8": "", "receive_order_option_9": "", "receive_order_option_10": "", "receive_order_option_received_time_shop_coupon": "0.00", "receive_order_option_received_time_mall_coupon": "0.00", "receive_order_option_deleted_flag": "0", "receive_order_option_creation_date": "2017-01-19 12:55:38", "receive_order_option_last_modified_date": "2017-04-14 16:24:36", "receive_order_option_last_modified_null_safe_date": "2017-04-14 16:24:36", "receive_order_option_creator_id": "10002", "receive_order_option_creator_name": "xxx", "receive_order_option_last_modified_by_id": "10003", "receive_order_option_last_modified_by_null_safe_id": "10003", "receive_order_option_last_modified_by_name": "xxx", "receive_order_option_last_modified_by_null_safe_name": "xxx" } ], "access_token": "xxx", "access_token_end_date": "2017-04-18 11:19:26", "refresh_token": "xxx", "refresh_token_end_date": "2017-04-20 11:19:26"}クライアントエラー (HTTP ステータス自体は 200 + result=error で返ることが多い)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
Example
{ "result": "success"}